Bug 522250 - Display corruption with modeset on M76
Display corruption with modeset on M76
Status: CLOSED DUPLICATE of bug 522271
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
card_R600/mM
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-09-09 17:18 EDT by Martin Ebourne
Modified: 2009-11-06 09:03 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-06 08:07:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Xorg log (51.91 KB, text/plain)
2009-09-09 17:19 EDT, Martin Ebourne
no flags Details
dmesg (51.41 KB, text/plain)
2009-09-09 17:20 EDT, Martin Ebourne
no flags Details
xdpyinfo (17.19 KB, text/plain)
2009-09-09 17:21 EDT, Martin Ebourne
no flags Details
xorg log without modesetting for comparison (72.56 KB, text/plain)
2009-09-09 17:22 EDT, Martin Ebourne
no flags Details
dmesg without modesetting for comparison (50.22 KB, text/plain)
2009-09-09 17:22 EDT, Martin Ebourne
no flags Details
photo of gdm screen with corruption (43.28 KB, image/jpeg)
2009-09-09 17:52 EDT, Martin Ebourne
no flags Details
another photo showing corruption (210.70 KB, image/jpeg)
2009-09-09 17:53 EDT, Martin Ebourne
no flags Details

  None (edit)
Description Martin Ebourne 2009-09-09 17:18:03 EDT
Description of problem:
Display is corrupted when booting off test day image and default modesetting. There are vertical columns about an inch apart and 1 character wide that repeat the previous character (or equiv graphic) and shimmer.

Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.13.0-0.3.20090908git651fe5a47.fc12.x86_64
2.6.31-0.219.rc9.git2.fc12.x86_64

How reproducible:
Every time

Steps to Reproduce:
1. Boot of test day image
  
Actual results:
Corrupted display

Expected results:
Display should be normal

Additional info:
Comment 1 Martin Ebourne 2009-09-09 17:19:24 EDT
Created attachment 360348 [details]
Xorg log
Comment 2 Martin Ebourne 2009-09-09 17:20:03 EDT
Created attachment 360349 [details]
dmesg
Comment 3 Martin Ebourne 2009-09-09 17:21:15 EDT
Created attachment 360350 [details]
xdpyinfo
Comment 4 Martin Ebourne 2009-09-09 17:22:01 EDT
Created attachment 360351 [details]
xorg log without modesetting for comparison
Comment 5 Martin Ebourne 2009-09-09 17:22:31 EDT
Created attachment 360352 [details]
dmesg without modesetting for comparison
Comment 6 Martin Ebourne 2009-09-09 17:23:30 EDT
I should have noted that display is fine with radeon.modeset=0. Attached working nomodeset case for comparison.
Comment 7 Martin Ebourne 2009-09-09 17:52:38 EDT
Created attachment 360357 [details]
photo of gdm screen with corruption

note that the corrupted vertical columns "shimmer", they are not static
Comment 8 Martin Ebourne 2009-09-09 17:53:50 EDT
Created attachment 360358 [details]
another photo showing corruption

note the repetition of letters in the xterm
Comment 9 Jerome Glisse 2009-10-14 07:32:02 EDT
Does it works any better with lastest kernel & xorg-x11-drv-ati from fedora12 ?
Comment 10 Martin Ebourne 2009-10-14 11:11:12 EDT
Is there a recent live image to try, or do I need to wait for the beta release?
Comment 11 Adam Williamson 2009-10-14 18:28:42 EDT
you can use:

http://alt.fedoraproject.org/pub/alt/nightly-composes/desktop/

however, that has the packages that have been put through the freeze for f12 beta, and there are later kernel builds that have not been submitted to break the freeze. jerome, when you say 'latest', is the current kernel for the beta - 2.6.31.1-56 - new enough, or do you want testing done with one of the later builds that's been sent to koji but not submitted for a freeze-breaking tag?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 12 Jerome Glisse 2009-10-15 10:12:33 EDT
2.6.32.1-56 should be new enough.
Comment 13 Jerome Glisse 2009-10-21 17:15:18 EDT
In fact 2.6.31.1-65 is what i was thinking about, did you have any chance to test yet with such a new kernel ?
Comment 14 Martin Ebourne 2009-10-29 22:25:56 EDT
I've just tried to upgrade to rawhide using preupgrade and the display corruption was still there on the screen after reboot while preupgrade was downloading stage 2 of the installer (/boot is too small to hold it).

I didn't get any further than that because when the installer finished downloading the screen went blank and stayed that way, I had to reboot out.
Comment 15 Adam Williamson 2009-10-31 00:48:11 EDT
martin: could you please just test with a nightly build from the lnik I pasted above? it gets updated every night. thanks!

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 16 Martin Ebourne 2009-10-31 10:18:19 EDT
I've just upgraded the laptop to rawhide (had to use preupgrade-cli with vnc) so can test any new builds much more easily.

Both of these kernels exhibit the same problem as reported:

kernel-2.6.31.5-96.fc12.x86_64
kernel-2.6.31.5-105.fc12.x86_64

One new point I've noticed is that the desktop doesn't fit on the screen. The top, left, and bottom edges are all correct, but the right edge of the desktop is off the right of the display by about an inch. This presumably makes up for the repeated columns (the ones that shimmer with corruption).

I don't know if it's related but I got lockups after just a couple of minutes use with modesetting on. Seems the CPU goes into a tight spin, fan revs up and machine doesn't respond, had to hard-power off. Has been working ok with modesetting off.

If you have any ideas for testing or builds to try please let me know.
Comment 17 Adam Williamson 2009-10-31 15:21:35 EDT
that's probably the r600 hang bug we're tracking in multiple other bug reports (I need to do some triage on it in a bit). If you attach 'lspci -v' output it'd help. The corruption is obviously a different problem, though.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 18 Martin Ebourne 2009-11-01 21:20:21 EST
Thanks Adam, found the r600/ICH8 bug which is the lockup I mentioned, so will monitor that.

Regarding the display corruption I wonder if the extremely high resolution 1920x1200 panel is triggering it?
Comment 19 Martin Ebourne 2009-11-02 19:27:47 EST
Still broken on kernel-2.6.31.5-110.fc12.x86_64
Comment 20 Matěj Cepl 2009-11-05 12:15:30 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages (at least F12Beta, but even better if the very latest versions).

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 21 Martin Ebourne 2009-11-05 16:15:07 EST
As per comment 3 days ago this is very much a current bug and makes KMS unusable on this hardware.

Just retested with latest rawhide + koji kernel, still broken.
xorg-x11-drv-ati-6.13.0-0.10.20091006git457646d73.fc12.x86_64
kernel-2.6.31.5-122.fc12.x86_64
Comment 22 Jerome Glisse 2009-11-06 08:07:25 EST
I think bug 522271 is the root cause of this one, Martin i am closing this one, we will use 522271 to track your issue.

*** This bug has been marked as a duplicate of bug 522271 ***
Comment 23 Martin Ebourne 2009-11-06 09:03:58 EST
Ok, though the symptoms are very different between the two, and this bug affects KMS 100% of the time and non-KMS never whereas bug 522271 affects both with and without KMS similarly about 80% of the time.

Note You need to log in before you can comment on or make changes to this bug.